org.gjt.sp.jedit.textarea

## Class MouseActions

- java.lang.Object
- - org.gjt.sp.jedit.textarea.MouseActions

All Implemented Interfaces:
  MouseActionsProvider

    public class MouseActions
    extends java.lang.Object
    implements MouseActionsProvider

### Method Summary

Methods
`java.lang.String` `getActionForEvent(java.awt.event.MouseEvent evt, java.lang.String variant)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getActionForEvent

    public java.lang.String getActionForEvent(java.awt.event.MouseEvent evt,
                                     java.lang.String variant)

Specified by:
  `getActionForEvent` in interface `MouseActionsProvider`